libSSE-php for Laravel framework
PHP
Latest commit a6389f5 Aug 18, 2016 @tonyhhyip Change version

README.md

Larave SSE

This library provides Server Sent Event for Laravel using libSSE-php

Supported Laravel Version

  • 5.1 (Higher Priority)
  • 5.2
  • 5.0

Install - Composer

To install Laravel SSE as a Compsoer package to be used in Laravel 5, simply add this to your composer.json:

"tonyhhyip/laravel-sse": "~1.0"

and run composer update.

Once it is installed, you can register the SseServiceProvider in app/config/app.php in providers array. If you want, you can also add the alias SSE:

'providers' => [
    ...
    Sse\Laravel\SseServiceProvider::class
],
'alias' => [
    ...
    'SSE' => Sse\Laravel\Facade\SSE::class
]

Usage

You can inject the SSE in your controller


class HomeController extends Controller
{
    public function sse(SSE $sse)
    {
        // Add your event listener
        return $sse->createResponse();
    }
}